Xalan-Java: Class XNodeSet

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xpath
Class XNodeSet

    java.lang.Object
      |
      +--org.apache.xalan.xpath.XObject
            |
            +--org.apache.xalan.xpath.XNodeSet

public class XNodeSet
extends XObject

This class represents an XPath nodeset object, and is capable of converting the nodeset to other types, such as a string.

See Also:
  Serialized Form

Fields inherited from class org.apache.xalan.xpath.XObject
`CLASS_BOOLEAN, CLASS_NODESET, CLASS_NULL, CLASS_NUMBER, CLASS_RTREEFRAG, CLASS_STRING, CLASS_UNKNOWN`

Constructor Summary
`XNodeSet()` Construct an empty XNodeSet object.
`XNodeSet(org.w3c.dom.Node n)` Construct a XNodeSet object for one node.
`XNodeSet(org.w3c.dom.NodeList val)` Construct a XNodeSet object.

Method Summary
`boolean` | `bool()` Cast result object to a boolean.
`boolean` | `equals(XObject obj2)` Tell if two objects are functionally equal.
`int` | `getType()` Tell that this is a CLASS_NODESET.
`boolean` | `greaterThan(XObject obj2)` Tell if one object is less than the other.
`boolean` | `greaterThanOrEqual(XObject obj2)` Tell if one object is less than the other.
`boolean` | `lessThan(XObject obj2)` Tell if one object is less than the other.
`boolean` | `lessThanOrEqual(XObject obj2)` Tell if one object is less than or equal to the other.
`MutableNodeList` | `mutableNodeset()` Cast result object to a nodelist.
`org.w3c.dom.NodeList` | `nodeset()` Cast result object to a nodelist.
`boolean` | `notEquals(XObject obj2)` Tell if two objects are functionally not equal.
`double` | `num()` Cast result object to a number.
`org.w3c.dom.DocumentFragment` | `rtree(XPathSupport support)` Cast result object to a result tree fragment.
`java.lang.String` | `str()` Cast result object to a string.

Methods inherited from class org.apache.xalan.xpath.XObject
`castToType, object, rtree, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XNodeSet

    public XNodeSet(org.w3c.dom.NodeList val)

  Construct a XNodeSet object.

### XNodeSet

    public XNodeSet()

  Construct an empty XNodeSet object.

### XNodeSet

    public XNodeSet(org.w3c.dom.Node n)

  Construct a XNodeSet object for one node.

Method Detail

### getType

    public int getType()

  Tell that this is a CLASS_NODESET.
  Overrides:
    getType in class XObject

### num

    public double num()

  Cast result object to a number.
  Overrides:
    num in class XObject

### bool

    public boolean bool()

  Cast result object to a boolean.
  Overrides:
    bool in class XObject

### str

    public java.lang.String str()

  Cast result object to a string.
  Overrides:
    str in class XObject

### rtree

    public org.w3c.dom.DocumentFragment rtree(XPathSupport support)

  Cast result object to a result tree fragment.
  Overrides:
    rtree in class XObject

### nodeset

    public org.w3c.dom.NodeList nodeset()

  Cast result object to a nodelist.
  Overrides:
    nodeset in class XObject

### mutableNodeset

    public MutableNodeList mutableNodeset()

  Cast result object to a nodelist.
  Overrides:
    mutableNodeset in class XObject

### lessThan

    public boolean lessThan(XObject obj2)
                     throws org.xml.sax.SAXException

  Tell if one object is less than the other.
  Overrides:
    lessThan in class XObject

### lessThanOrEqual

    public boolean lessThanOrEqual(XObject obj2)
                            throws org.xml.sax.SAXException

  Tell if one object is less than or equal to the other.
  Overrides:
    lessThanOrEqual in class XObject

### greaterThan

    public boolean greaterThan(XObject obj2)
                        throws org.xml.sax.SAXException

  Tell if one object is less than the other.
  Overrides:
    greaterThan in class XObject

### greaterThanOrEqual

    public boolean greaterThanOrEqual(XObject obj2)
                               throws org.xml.sax.SAXException

  Tell if one object is less than the other.
  Overrides:
    greaterThanOrEqual in class XObject

### equals

    public boolean equals(XObject obj2)
                   throws org.xml.sax.SAXException

  Tell if two objects are functionally equal.
  Overrides:
    equals in class XObject

### notEquals

    public boolean notEquals(XObject obj2)
                      throws org.xml.sax.SAXException

  Tell if two objects are functionally not equal.
  Overrides:
    notEquals in class XObject

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.